package com.tuoheng.gateway.utils;

/**
 * 业务异常类(业务处理时手动抛出异常)
 */
public class ServiceException extends RuntimeException {

    public int code;

    private String msg;


    /**
     * 构造器
     *
     * @param code
     * @param msg
     */
    public ServiceException(int code, String msg) {
        super(msg);
        this.msg = msg;
        this.code = code;
    }


}

