package com.tuoheng.gateway.commons;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @author chenjiandong
 * @description: TODO
 * @date 2022/11/17 14:55
 */
@Configuration
@Data
public class CommonsConfig {

    /**
     * 河湖长权限接口地址
     */
    public static String hhzPermissionUrl;

    /**
     * 高速权限接口地址
     */
    public static String freewayPermissionUrl;

    /**
     * 航道权限接口地址
     */
    public static String waterwayPermissionUrl;

    /**
     * 水环境权限接口地址
     */
    public static String weptspPermissionUrl;

    /**
     * 大气权限接口地址
     */
    public static String airmonitorPermissionUrl;
    /**
     * 电信城管权限接口地址
     */
    public static String telecomumalePermissionUrl;
    /**
     * 周界警戒控制系统接口地址
     */
    public static String alertPermissionUrl;
    /**
     * 机场系统接口地址
     */
    public static String airportPermissionUrl;
    /**
     * 全时空系统接口地址
     */
    public static String spacetimePermissionUrl;
    /**
     * 数字孪生服务接口地址
     */
    public static String digitaltwinPermissionUrl;
    /**
     * 设备管理服务接口地址
     */
    public static String dmpPermissionUrl;
    /**
     * 低空综合服务接口地址
     */
    public static String lacsPermissionUrl;


    @Value("${tuoheng.hhz-admin-perUrl}")
    public void setHhzPermissionUrl(String url) {
        hhzPermissionUrl = url;
    }
    @Value("${tuoheng.dmp-admin-perUrl}")
    public void setDmpPermissionUrl(String url) {
        dmpPermissionUrl = url;
    }
    @Value("${tuoheng.spacetime-admin-perUrl}")
    public void setSpacetimePermissionUrl(String url) {
        spacetimePermissionUrl = url;
    }
    @Value("${tuoheng.freeway-admin-perUrl}")
    public void setFreewayPermissionUrl(String url) {
        freewayPermissionUrl = url;
    }

    @Value("${tuoheng.waterway-admin-perUrl}")
    public void setWaterwayPermissionUrl(String url) {
        waterwayPermissionUrl = url;
    }

    @Value("${tuoheng.weptsp-admin-perUrl}")
    public void setWeptspPermissionUrl(String url) {
        weptspPermissionUrl = url;
    }

    @Value("${tuoheng.airmonitor-admin-perUrl}")
    public void setAirmonitorPermissionUrl(String url) {
        airmonitorPermissionUrl = url;
    }

    @Value("${tuoheng.telecomumale-admin-perUrl}")
    public void setTelecomumalePermissionUrl(String url) {
        telecomumalePermissionUrl = url;
    }

    @Value("${tuoheng.alert-admin-perUrl}")
    public void setAlertPermissionUrl(String url) {
        alertPermissionUrl = url;
    }

    @Value("${tuoheng.airport-admin-perUrl}")
    public void setAirportPermissionUrl(String url) {
        airportPermissionUrl = url;
    }

    @Value("${tuoheng.digitaltwin-admin-perUrl}")
    public void setDigitaltwinPermissionUrl(String url) {
        digitaltwinPermissionUrl = url;
    }

    @Value("${tuoheng.lacs-admin-perUrl}")
    public void setLacsPermissionUrl(String url) {
        lacsPermissionUrl = url;
    }

}
